# Submit a payment partial settle request

Partially settle a payment

Endpoint: POST /api/payments/{linkData}/partialSettlements
Version: 2024-06-01
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version
    Enum: "2024-06-01"

## Request fields (application/json):

  - `reference` (string, required)

  - `sequence` (object)
    The sequence number and total number of expected partial settlement requests for the payment.

  - `sequence.number` (integer, required)

  - `sequence.total` (integer, required)

  - `value` (object, required)
    The value and currency.

  - `value.currency` (string, required)
    The three character currency code. See list of supported currencies
    Example: "USD"

  - `value.amount` (integer, required)
    The payment amount. Implied decimal. For example, 250 GBP = £2.50
When set to 0 will perform a card verification instead of a payment as part of a new customerAgreement.
    Example: 250

  - `value.acceptPartialAmount` (boolean)
    Set to true to accept a partial authorization amount. You can charge the remainder of the amount using a different payment credential with a new authorization request.

## Response 202 fields (application/json):

  - `outcome` (string)
    Enum: "sentForSettlement"

  - `paymentId` (string)

  - `_links` (object)
    Return details about the status of the payment.

  - `_links.self` (object)

  - `_links.self.href` (string)

  - `_actions` (object)

  - `_actions.refundPayment` (object)
    Fully refund the payment. See [details](../manage-payments/refund)

  - `_actions.refundPayment.href` (string)

  - `_actions.refundPayment.method` (string)

  - `_actions.partiallyRefundPayment` (object)
    Partially refund the payment. See [details](../manage-payments/partialrefund)

  - `_actions.partiallyRefundPayment.href` (string)

  - `_actions.partiallyRefundPayment.method` (string)

  - `_actions.partiallySettlePayment` (object)
    Partially settle the payment. See [details](../manage-payments/partialsettle) including what to add in the request body.

  - `_actions.partiallySettlePayment.href` (string)

  - `_actions.partiallySettlePayment.method` (string)

  - `_actions.cancelPayment` (object)
    Cancel the payment. See [details](../manage-payments/cancel)

  - `_actions.cancelPayment.href` (string)

  - `_actions.cancelPayment.method` (string)

  - `_actions.reversePayment` (object)
    Reverse the payment. See [details](../manage-payments/reversal)

  - `_actions.reversePayment.href` (string)

  - `_actions.reversePayment.method` (string)

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `jsonPath` (string)

  - `validationErrors` (array)

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 406 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `headerName` (string)


